# Add content to a playlist

To build a playlist, you need to add content to it. You can add content in a few different ways:

```{contents}
:local:
```

## Add the currently playing track

If you want to add the currently playing track to a playlist:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Select the playlist icon ({fa}`list`) on the player. The {guilabel}`Manage playlists` screen appears.
2. Select {guilabel}`+ Add track` next to the playlist you want to add the track to.

:::

:::{tab-item} Mobile
:sync: mobile

1. Select the player at the bottom of the screen to expand it.
2. Select the playlist icon ({fa}`list`) under the track art. The {guilabel}`Manage playlists` screen appears.
3. Select {guilabel}`+ Add track` next to the playlist you want to add the track to.

:::
::::

That's it! The currently playing track is now in your playlist.

## Add content from queue

You can add all content that is currently in your [player queue](../../queue/index.md). To do this:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Select {guilabel}`Playlists` under the {guilabel}`My Library` section of the sidebar. The {guilabel}`Browsing playlists` screen opens.
2. Select {guilabel}`Manage your playlists`. The {guilabel}`Manage playlists` screen appears.
3. Select the edit icon ({fa}`edit`) next to the playlist you want to edit. The playlist edit screen appears.
4. Select {guilabel}`+ Insert from queue`. Your tracks appear in the playlist. The changes save to the server.
5. Select {guilabel}`Stop editing` to stop editing.

:::

:::{tab-item} Mobile
:sync: mobile

1. Select the hamburger menu ({fa}`bars`) to open the menu bar.
2. Select {menuselection}`My Library --> Playlists`. The {guilabel}`Browsing playlists` screen opens.
3. Select {guilabel}`Manage your playlists`. The {guilabel}`Manage playlists` screen appears.
4. Select the edit icon ({fa}`edit`) next to the playlist you want to edit. The playlist edit screen appears.
5. Select {guilabel}`+ Insert from queue`. Your tracks appear in the playlist. The changes save to the server.
6. Select {guilabel}`Stop editing` to stop editing.

:::
::::

That's it! You've added the contents from your queue to a playlist.

## Add track from track details page

You can add a track to a playlist from the track details page. To do this:

1. Go to the track details page of the track you want to add.
2. Select the playlist icon ({fa}`list`) at the top of the screen. The {guilabel}`Manage playlists` screen appears.
3. Select {guilabel}`+ Add track` next to the playlist you want to add the track to.

That's it! The track is available in your playlist.

## Add track from track table

You can add tracks from any page with a track table. This includes artist pages, album pages, and the search page. To add tracks from the track table:

1. Find your track in a track table.
2. Select the kebab menu ({fa}`ellipsis-v`) next to the track to open the track options menu.
3. Select {guilabel}`Add to playlist…`. The {guilabel}`Manage playlists` screen appears.
4. Select {guilabel}`+ Add track` next to the playlist you want to add the track to.

Well done! You've added the track to your playlist.

## Rebuild the playlist with xspf file

```{warning}
This will delete all content from the playlist and replace it with the one from the xspf file.
```

You can import an xspf file. Funkwhale will try to match the metadata from the file to Funkwhale database. If the match didn't succeeded the Track will be ignored :

1. Go to the playlist page
2. Click on the kebab menu ({fa}`ellipsis-v`)
3. click on "Rebuild playlist"
